Bug 99181 - Latest mozilla update breaks galeon
Latest mozilla update breaks galeon
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-15 12:25 EDT by wilburn
Modified: 2007-04-18 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-22 13:52:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wilburn 2003-07-15 12:25:21 EDT
Description of problem:

Installing mozilla-1.0.2-2.7.1 rpm's causes galeon to fail with message:

  Cannot find mozilla installation directory. Please set MOZILLA_FIVE_HOME to      
  your mozilla directory

Version-Release number of selected component (if applicable): 1.0.2-2.7.1

How reproducible: every time


Steps to Reproduce:
1. Install mozilla-1.0.2-2.7.1 rpm's
2. galeon
3.
    
Actual results:

  Cannot find mozilla installation directory. Please set MOZILLA_FIVE_HOME to      
  your mozilla directory


Expected results:

galeon runs

Additional info:
Comment 1 Ryan Leduc 2003-07-15 18:59:58 EDT
I have rh 8, and just uploaded the new fixed moz rpms (mozilla-1.0.2-1.8.0 etc)
using up2date. I have galeon-1.2.6-0.8.0.

I have same problem, but I'm also getting crashes. When I go to
http://linuxtoday.com/ today, mozilla starts to connect and then disappears.
EVERY time.

Ryan
Comment 2 wilburn 2003-07-15 19:05:18 EDT
I don't have the crashing problem with linuxtoday.com, so these effects may have
different causes.
Comment 3 Wu Yongwei 2003-07-16 02:12:33 EDT
I am using RH 7.3 and Galeon would not start as the bug reporter described.  My
workaround was to remove the /usr/lib/mozilla directory and create a symbolic
link at /usr/lib/mozilla to /usr/lib/mozilla-1.0.2.  Galeon displayed a warning
when run, but this seemed to work well and I have not found crashes so far (and
I am now in Galeon).

I think a better way is to release a new Galeon version compatible with Mozilla
1.0.2.
Comment 4 Bart Garst 2003-07-18 10:57:19 EDT
I tried both the symbolic link work-around (/usr/lib/mozilla ->
/usr/lib/mozilla-1.0.2) and setting MOZILLA_FIVE_HOME to /usr/lib/mozilla-1.0.2.

Both resulted in the error:

/usr/bin/galeon-bin: relocation error: /usr/bin/galeon-bin: undefined symbol:
begin_assignment__13nsCOMPtr_base

System - RedHat 8
Galeon - 1.2.6
Comment 5 Michal Jaegermann 2003-07-20 10:34:10 EDT
See also bug #99460 which is somewhat related.
Comment 6 wilburn 2003-07-23 14:32:19 EDT
Installing mozilla*-1.0.2-2.8.0 and galeon-1.2.11-1.8.0 fixes this for me. I
suggest closing this bug.
Comment 7 Christopher Blizzard 2003-08-22 13:52:07 EDT
Yes, this should be fixed now.

Note You need to log in before you can comment on or make changes to this bug.